{"title":"Get purchaseCreditMemoLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemoline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemoline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemoline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a purchase credit memo line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":103,"chars":222},{"level":2,"title":"Request headers","slug":"request-headers","at":325,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":397,"chars":61},{"level":2,"title":"Response","slug":"response","at":458,"chars":134},{"level":2,"title":"Example","slug":"example","at":592,"chars":1098},{"level":2,"title":"Related information","slug":"related-information","at":1690,"chars":319}],"text":"Retrieves the properties and relationships of a purchase credit memo line object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/purchaseCreditMemoLines({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a purchaseCreditMemoLine object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseCreditMemoLines({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb\",\n    \"documentId\": \"dddddddd-3333-4444-5555-eeeeeeeeeeee\",\n    \"sequence\": 10000,\n    \"itemId\": \"bbbbbbbb-1111-2222-3333-cccccccccccc\",\n    \"accountId\": \"\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1896-S\",\n    \"description\": \"Athens Desk\",\n    \"unitOfMeasureId\": \"cccccccc-2222-3333-4444-dddddddddddd\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"unitCost\": 250.00,\n    \"quantity\": 2,\n    \"discountAmount\": 25.00,\n    \"discountPercent\": 5,\n    \"discountAppliedBeforeTax\": true,\n    \"amountExcludingTax\": 475.00,\n    \"taxCode\": \"VAT10\",\n    \"taxPercent\": 10,\n    \"totalTaxAmount\": 47.50,\n    \"amountIncludingTax\": 522.50,\n    \"invoiceDiscountAllocation\": 0.00,\n    \"netAmount\": 475.00,\n    \"netTaxAmount\": 47.50,\n    \"netAmountIncludingTax\": 522.50,\n    \"itemVariantId\": \"\",\n    \"locationId\": \"aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_purchasecreditmemoline\ndynamics_purchasecreditmemoline_delete\nPOST purchaseCreditMemoLine<dynamics_purchasecreditmemoline_create>\nPATCH purchaseCreditMemoLine<dynamics_purchasecreditmemoline_update>"}